summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/mdconfig2
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/mdconfig2')
-rw-r--r--etc/rc.d/mdconfig24
1 files changed, 2 insertions, 2 deletions
diff --git a/etc/rc.d/mdconfig2 b/etc/rc.d/mdconfig2
index 8dc36a4..09ef160 100644
--- a/etc/rc.d/mdconfig2
+++ b/etc/rc.d/mdconfig2
@@ -89,7 +89,7 @@ init_variables()
if [ "${_file}" != "${_file%.uzip}" ]; then
# Load geom_uzip kernel module if needed
- require_kld geom_uzip
+ kldstat -q -m g_uzip || kldload geom_uzip || err 1 "geom_uzip failed to load."
_dev="/dev/${_md}.uzip"
fi
for _i in `df ${_file} 2>/dev/null`; do _fs=${_i}; done
@@ -111,7 +111,7 @@ mdconfig2_start()
{
local _md _fs _mp _mounted _dev _config _type _file _owner _perms _files _populate _fsck_cmd _i
- require_kld g_md
+ kldstat -q -m g_md || kldload geom_md || err 1 "geom_md failed to load."
for _md in ${_mdconfig2_list}; do
init_variables ${_md}
OpenPOWER on IntegriCloud